SDL_GamepadButtonEvent(3type)

NAME
SDL_GamepadButtonEvent - Gamepad button event structure (event.gbutton.*)

SYNOPSIS
#include <SDL3/SDL_events.h>

typedef struct SDL_GamepadButtonEvent
{
    SDL_EventType type; /**< SDL_EVENT_GAMEPAD_BUTTON_DOWN or SDL_EVENT_GAMEPAD_BUTTON_UP */
    Uint32 reserved;
    Uint64 timestamp;   /**< In nanoseconds, populated using SDL_GetTicksNS() */
    SDL_JoystickID which; /**< The joystick instance id */
    Uint8 button;       /**< The gamepad button (SDL_GamepadButton) */
    bool down;      /**< true if the button is pressed */
    Uint8 padding1;
    Uint8 padding2;
} SDL_GamepadButtonEvent;

AVAILABILITY
This struct is available since SDL 3.2.0.